Kea: isc::hooks::HookLibInfo Struct Reference

| Kea 3.2.0-git

isc::hooks::HookLibInfo Struct Reference

Entity that holds information about hook libraries and their parameters. More...

`#include <libinfo.h>`

## Public Member Functions
| HookLibInfo (const std::string &libname, isc::data::ConstElementPtr parameters, const std::string &cfgname="")
bool | operator!= (const HookLibInfo &other) const
| Compare two HookLibInfos for inequality.
bool | operator== (const HookLibInfo &other) const
| Compare two HookLibInfos for equality.

## Public Attributes
std::string | cfgname_
| Configured library name (e.g. rom 'library').
std::string | libname_
| Full file path of the library.
data::ConstElementPtr | parameters_
| Set of configured parameters (if any).

## Detailed Description

Entity that holds information about hook libraries and their parameters.

Definition at line 23 of file libinfo.h.

## Constructor & Destructor Documentation

## ◆ HookLibInfo()

isc::hooks::HookLibInfo::HookLibInfo | ( | const std::string & | libname,
|  | isc::data::ConstElementPtr | parameters,
|  | const std::string & | cfgname = "" )

Definition at line 14 of file libinfo.cc.

References cfgname_, libname_, and parameters_.

Referenced by operator!=(), and operator==().

## Member Function Documentation

## ◆ operator!=()

bool isc::hooks::HookLibInfo::operator!= | ( | const HookLibInfo & | other | ) | const
| inline

Compare two HookLibInfos for inequality.

Parameters

  other | lease6 object with which to compare

Definition at line 45 of file libinfo.h.

References HookLibInfo().

Here is the call graph for this function:

## ◆ operator==()

bool isc::hooks::HookLibInfo::operator== | ( | const HookLibInfo & | other | ) | const

Compare two HookLibInfos for equality.

Parameters

  other | HookLibInfo object with which to compare

Definition at line 36 of file libinfo.cc.

References HookLibInfo(), cfgname_, libname_, and parameters_.

Here is the call graph for this function:

## Member Data Documentation

## ◆ cfgname_

std::string isc::hooks::HookLibInfo::cfgname_

Configured library name (e.g. rom 'library').

Definition at line 35 of file libinfo.h.

Referenced by HookLibInfo(), and operator==().

## ◆ libname_

std::string isc::hooks::HookLibInfo::libname_

Full file path of the library.

Definition at line 29 of file libinfo.h.

Referenced by HookLibInfo(), and operator==().

## ◆ parameters_

data::ConstElementPtr isc::hooks::HookLibInfo::parameters_

Set of configured parameters (if any).

Definition at line 32 of file libinfo.h.

Referenced by HookLibInfo(), and operator==().

The documentation for this struct was generated from the following files:

- libinfo.h
- libinfo.cc